<p>module-edit works!</p>
<div class="container">
  <form class="example-form" [formGroup]="subjectForm" (ngSubmit)="updateSubject()">
    <mat-form-field class="example-full-width" appearance="fill">
      <mat-label>Nhập tên môn học</mat-label>
      <input matInput placeholder="Toán" formControlName="name" />
      <mat-error *ngIf="subjectForm">Lỗi!</mat-error>
    </mat-form-field>
    <button mat-button type="submit" [disabled]="!subjectForm.valid">Save</button>
  </form>
  <button mat-button (click)="clearData()">Cancel</button>
</div>

<pre>{{ subjectForm.value | json }}</pre>
